Document Lists

GET/api/2026-03/document-lists/{id}
public-api:read
Latest version

Path Parameters

ParameterTypeDescription
id*
integer

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
reverse
boolean

Pass 'reverse=false' to get the list in the same order as you see it in the editor. (the default is reverse=true for backwards compatibility reasons)

fields
string

Filters which (comma separated) document properties are included in the response. Defaults to 'systemdata,metadata' also accepts 'content'.

limit
integer

A limit for how much documents to resolve for the requested list. Defaults to 100. Max. 100.

ignoreComponentConditions
boolean

(added in release-2024-03)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: false

componentConditions
string

(added in release-2024-03)

JSON stringified object which contains the component conditions you would like to apply.

Default: dateTime: new Date()
Example: ?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}

Description

This endpoint resolves the referenced documents in a list.
The response is a JSON object including list information with resolved documents.

Use Cases

  • Resolve a Document List in the delivery

Responses

GET/api/2026-03/document-lists
public-api:read
Latest version (since 2026-01)

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
name
string

Filters the result set and allows searching by list name

limit
integer

A limit for how much document lists to retrieve. Defaults to 10. Max. 100

offset
integer

An offset into the query. Useful when getting more than 100 results (pagination)

Description

The response is a JSON array including only document lists without resolving documents.

Responses

⌘ K to search